# Uses of Enum Class
org.apache.lucene.index.DocValuesType

Packages that use DocValuesType
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of DocValuesType in org.apache.lucene.document

  Methods in org.apache.lucene.document that return DocValuesType
  Modifier and Type
  Method
  Description
  `DocValuesType`
  FieldType.`docValuesType()`
  DocValues `DocValuesType`: how the field's value will be indexed into docValues.
  Methods in org.apache.lucene.document with parameters of type DocValuesType
  Modifier and Type
  Method
  Description
  `void`
  FieldType.`setDocValuesType(DocValuesType type)`
  Sets the field's DocValuesType

- ## Uses of DocValuesType in org.apache.lucene.index

  Methods in org.apache.lucene.index that return DocValuesType
  Modifier and Type
  Method
  Description
  `DocValuesType`
  IndexableFieldType.`docValuesType()`
  DocValues `DocValuesType`: how the field's value will be indexed into docValues.
  `DocValuesType`
  FieldInfo.`getDocValuesType()`
  Returns `DocValuesType` of the docValues; this is `DocValuesType.NONE` if the field has no docvalues.
  `static DocValuesType`
  DocValuesType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocValuesType[]`
  DocValuesType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.index with parameters of type DocValuesType
  Modifier and Type
  Method
  Description
  `void`
  FieldInfo.`setDocValuesType(DocValuesType type)`
  Record that this field is indexed with docvalues, with the specified type
  Constructors in org.apache.lucene.index with parameters of type DocValuesType
  Modifier
  Constructor
  Description
  ``
  `FieldInfo(String name, int number, boolean storeTermVector, boolean omitNorms, boolean storePayloads, IndexOptions indexOptions, DocValuesType docValues, DocValuesSkipIndexType docValuesSkipIndex, long dvGen, Map<String,String> attributes, int pointDimensionCount, int pointIndexDimensionCount, int pointNumBytes, int vectorDimension, VectorEncoding vectorEncoding, VectorSimilarityFunction vectorSimilarityFunction, boolean softDeletesField, boolean isParentField)`
  Sole constructor.